KCOLLECTD(1)

NAME
kcollectd - displays system time-series monitoring information in collectd rrd datacollections

SYNOPSIS

kcollectd [KCollectd options] [file]

DESCRIPTION

kcollectd is a simple application that presents collectd time-series data in a natural way. The mousewheel up and down action lets you zoom in and out, respectively, and click and dragging lets you move around (in the recorded history). There is an automatic update-and-follow mode, which presents new data in real time, allowing kcollectd to be used as a status monitor.

At the left side of the window there is a tree that lists all identified collectd data sources. You can display any such data by dragging it onto the desired graph in the right hand panel.

At the right, various data sources are shown in graphs. You can move the graph to the left or right with the mouse and zoom in or out with the mousewheel or the zoom buttons. Plots can be created and destroyed from the right-click context menu. The context menu also allows for the deletion of unwanted data sources from a given graph.

At the lower left the auto-update-button switches kcollectd into the update-and-follow-mode. In this mode the right side of the graph is pinned to the current time, and new data is presented in real time. The plot can still be zoomed with the mouse wheel.

ARGUMENTS

file
    A collectd file to open.

SEE ALSO
    More detailed user documentation is available from help:/kcollectd (either enter this URL into Konqueror, or run khelpcenter help:/kcollectd).
    kf6options(7)
    qt6options(7)
    collectd(1)
    rrdtool(1)

AUTHORS

M G Berberich <berberic@fmi.uni-passau.de>
    KCollectd, this man page.

Antonio Russo <aerusso@aerusso.net>
    KCollectd man page.